#cs ----------------------------------------------------------------------------

 Copyright (C) 2014  Sebastian Walter (chesstiger)

 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.

 AutoIt Version: 3.3.10.2

#ce ----------------------------------------------------------------------------

#include <Constants.au3>
#include <GuiImageList.au3>
#include <WinAPIRes.au3>
#include "ThumbBarButtons.au3"


$hWnd = GUICreate("blub")
GUISetState()

$hImage = _GUIImageList_Create(16, 16)
_GUIImageList_Add($hImage, _WinAPI_CreateSolidBitmap($hWnd, 0xff0000, 16, 16))
_GUIImageList_Add($hImage, _WinAPI_CreateSolidBitmap($hWnd, 0x0000ff, 16, 16))
_GUIImageList_Add($hImage, _WinAPI_LoadImage(0, "icon.bmp", $IMAGE_BITMAP, 16, 16, $LR_LOADFROMFILE))


$hIcon = _WinAPI_LoadShell32Icon(25)

_TBB_Init()

_TBB_Create($hWnd, 3)
$cTaskbar1 = _TBB_SetButton($hWnd, 1, "Hello", $THBF_ENABLED)
$cTaskbar2 = _TBB_SetButton($hWnd, 2, "Hi", $THBF_ENABLED, $hIcon)
$cTaskbar3 = _TBB_SetButton($hWnd, 3, "Blub", $THBF_ENABLED)
_TBB_Update($hWnd, $hImage)

_TBB_SetProgressState($hWnd, $TBPF_PAUSED)
_TBB_SetProgressValue($hWnd, 50)


While True
	Switch GUIGetMsg()
		Case -3
			ConsoleWrite("Exit" & @LF)
			_TBB_Shutdown()
			Exit
		Case $cTaskbar1
			ConsoleWrite("Button 1" & @LF)
			GUISetBkColor(0xff0000)
		Case $cTaskbar2
			ConsoleWrite("Button 2" & @LF)
			GUISetBkColor(0x0000ff)
		Case $cTaskbar3
			ConsoleWrite("Button 3" & @LF)
			GUISetBkColor(0x00ff00)
	EndSwitch
WEnd